Subject: Re: (IPng 7503) Re: Last Call: IPv6 Jumbograms to Proposed Standard

From: Scott Bradner <[email-masked]>
Date: Sat, 5 Jun 1999 08:15:53 -0400 (EDT)

Steve sez:
> That's true, or more generally, any transformation en-route is permitted
> as long as it is undone before delivery, even translation to Swahili.
> Note however, that that may have a serious performance impact if, for
> example, it causes packets that would otherwise have fit in the path
> MTU to now require fragmentation.

but isn't this true for tunneling? i.e. not a header insertion specific
performance poblem? So the problem is the same if the header is inserted or
prepended, as in an ipsec tunnel

Scott
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Erik Nordmark <[email-masked]>
Date: Sat, 5 Jun 1999 21:59:48 -0700 (PDT)

> prepended, as in an ipsec tunnel

No. The difference is that with encapsulation the source address refers
to the encapsulator. Thus it should be able to interpret the ICMP packet too
big and do the right thing.
It is header insertion without modifying the source address that causes
problems. Any ICMP packet to big is sent to the source but the source
doesn't know that the packets "grew" along the path.
The node respondible for increasing the packet size might never see
the ICMP "packet too big" errors (even if it is snooping all packets -
assymetric routing might send the errors some other path).

  Erik